Subject: CCLIB to PK

From: "J.B. WANG" <[email-masked]>
Date: Thu, 12 Apr 90 09:25:00 EDT

Folks:

Now I have added quite a number of font sets including cclib.18, cclib.27,
cclib.30, cclib.32 in anonymous/ch-series in 192.12.216.114. I have examined
them with a NeWS window font viewer, and the quality is not bad. cclib.48
was based on a set channeled through Yeung originally from U of Washington
from China. It has defects in symbol set and er4-ji2-zi4-ku4. I have to fix
those defects (essentially blanks) first before I can use it to build fonts
larger than 42x42.

This is only step one. Step two yet has to be taken is to write utility
programs to generate PK files from these cclib's. It is not trivial not not
too difficult either. If you have a TeX distribution tape, there is a web
file called pktype.web. If you tangle it, you get pktype.p (Pascal code) which
can be translated into C with web2c. If you weave it, you get pktype.tex
which is the documentation of pktype and pk format. If there are individuals
interested in it, please be my guest. I will also do it, and incorporate it
into my ch-series. If this part can be done without my effort, JTeX (Japanese
TeX) ftpable from science.utah.edu can be tuned into another version of
Chinese TeX. But since my design of ChTeX is totally different from JTeX,
I will leave this part to someone else, and I will take steps to build a
more perfect Chinese TeX and LaTeX. Note though, JTeX has its own TFM files,
which may give different font width to Chinese characters than my chfont*.tfm.
Therefore, you have to choose cclib.* according to output device resolution
and TFM font files.

Sincerely yours,

JB Wang